#include <stdio.h>
#include <stdarg.h>
#include "sets.h"
/***************************************************************************/
                     void dump_set(set *aset)
/***************************************************************************/
/* This function dumps a description of a set out to stdout
*/
{
int i,j,k;
unsigned wrd,w;

	/* List the set-defining values from set. */
	printf("\n  base_type = %d  tag = %d  set_size = %d"
                 ,aset->base_type,aset->set_tag,aset->set_size);

	printf("  nmembers = %d  member_recs = %d\n"
                 ,aset->nmembers,aset->member_recs);

	k = j = w = 0;
	while((j<aset->member_recs) && (k < aset->set_size))
		{
		wrd = aset->word[j];
		w = 1;
		for(i=1;i<=MEMBERS_PER_WORD && k<aset->set_size;i++,k++)
			{
			wrd & w ? printf("1") : printf("0");
			w <<= 1;
			if(i > 3 && i % 4 == 0 && k % 64 < 63) printf(" ");
			}
		j++;
		if((k % 64) == 0)
			printf("\n");
		}
}  /* end dump_set */

